# Get Counterparty (deprecated)

Deprecated: Use Get Counterparty instead.

Poll this endpoint to monitor the progress of the verification process for a single counterparty.



> ### Plaid:
>
> If plaid.verification_status is PENDING_MANUAL_VERIFICATION, the user is in the Same Day Micro-deposits flow and must return in 1-2 business days and go through the Plaid Link flow again, this time using a new Link token where the _counterparty_id_ is passed to Jiko.

Endpoint: GET /api/v1/customers/{customer_id}/counterparties/{counterparty_id}/
Version: Version: 2edadba5
Security: HTTPBearer

## Path parameters:

  - `customer_id` (string, required)

  - `counterparty_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)

  - `type` (string, required)
    Enum: "ACH", "WIRE"

  - `ach` (any)
    - `time_created` (string, required)
    - `verification_type` (string, required)
      Enum: "MICRO_DEPOSITS", "PLAID", "PRE_VERIFIED", "INCOMING_WIRE", "SUPPORTING_DOCUMENTS"
    - `status` (string, required)
      Enum: "IN_PROGRESS", "FAILED", "VERIFIED"
    - `account_number` (string, required)
    - `routing_number` (string, required)
    - `name_on_account` (string, required)
    - `account_type` (string, required)
      Enum: "SAVINGS", "CHECKING"
    - `institution_name` (string, required)
    - `plaid` (any)
      - `mask` (string, required)
      - `verification_status` (any, required)
      - `object_type` (string, required)
    - `micro_deposits` (any)
      - `verification_failure_count` (integer, required)
      - `object_type` (string, required)

  - `wire` (any)
    - `time_created` (string, required)
    - `verification_type` (string, required)
      Enum: same as `verification_type` (5 values)
    - `status` (string, required)
      Enum: same as `status` (3 values)
    - `account_number` (string, required)
    - `routing_number` (string, required)
    - `name_on_account` (string, required)
    - `account_type` (string, required)
      Enum: same as `account_type` (2 values)
    - `institution_name` (string, required)

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
